From 931adf2b9102acdec8531896b2d1257609a16e78 Mon Sep 17 00:00:00 2001
From: Francois-Rene Rideau <tunes@google.com>
Date: Sat, 5 Jan 2013 22:35:33 -0500
Subject: [PATCH] Cleanup the .asd file for ASDF 2.27.

---
 chipz.asd |   10 +++-------
 1 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/chipz.asd b/chipz.asd
index 5e2a6ba..668cd32 100644
--- a/chipz.asd
+++ b/chipz.asd
@@ -4,11 +4,8 @@
   (:export #:gray-streams))
 (cl:in-package :chipz-system)
 
-(defclass txt-file (doc-file) ())
-(defclass css-file (doc-file) ())
-
-(defmethod source-file-type ((c txt-file) (s module)) "txt")
-(defmethod source-file-type ((c css-file) (s module)) "css")
+(defclass txt-file (doc-file) ((type :initform "txt")))
+(defclass css-file (doc-file) ((type :initform "css")))
 
 (eval-when (:compile-toplevel :load-toplevel :execute)
   #+(or sbcl lispworks openmcl cmu allegro clisp)
@@ -26,8 +23,7 @@
                (:file "package")
                (:module "doc"
                         :components
-                        ((:html-file "chipz")
-                         ;; XXX ASDF bogosity
+                        ((:html-file "index")
                          (:txt-file "chipz-doc")
                          (:css-file "style")))
                (:file "constants" :depends-on ("package"))
-- 
1.7.7.3

